System Requirements

Overview

The Learning Center is a web application. It's more complex than many browse-only websites, such as blogs and personal web pages. For the best Learning Center experience, we require a modern, standards-compliant web browser. We do not block users with outdated web browsers from using the site. But your experience may be diminished if you are using an old version of Internet Explorer or any outdated web browser.

We strongly recommend that users install Google Chrome, Mozilla Firefox, or Apple Safari. We also suggest that users leave the browser's automatic updates feature enabled. This is a good security practice. And it makes certain that you will be able to access the features of modern web applications.

Internet Explorer is not Supported

The self-updating nature—and support for modern web technologies—of Google Chrome, Mozilla Firefox, and Microsoft Edge make them preferable to Microsoft Internet Explorer for use with the Learning Center. If Microsoft Internet Explorer is the only web browser available on your computer, please use version 11.

Cookies

Cookies must be enabled to sign into the Learning Center. We do not use cookies to track our users.

JavaScript (not Java)

JavaScript must be enabled to use the Learning Center.

Note to system administrators: please don't confuse JavaScript with Java. Years ago LiveScript was renamed to JavaScript because its owner believed relating the two would give JavaScript a better reputation. The opposite has turned out to be true. Java has been plagued with security updates, prompting many to remove it from their computers altogether. JavaScript is sometimes accidentally disabled in the process.

Historically there were separate security concerns related to JavaScript. Some people make it a practice to disable JavaScript altogether. Doing so breaks the functionality of many web sites and web applications.

For Video

Some Learning Center activities include playback of video. These videos are currently hosted on YouTube. Learning Center users see the videos in a frame and don't leave the site. Your computer must be able to view videos on YouTube to complete these activities.

Some web browsers require Adobe Flash to play YouTube videos. Also, some school and college networks block YouTube access. If you are experiencing problems playing back video, please attempt to view a video directly on YouTube to see if your system is working properly.

Mobile Devices

The Learning Center is optimized for viewing on mobile devices. It works acceptably on the latest Apple and Android tablets. Specifically, we test the site with various Apple iPad models and the Nexus tablet from Google.
 

System Requirements Summary

Apple Macintosh

  • Mac OS X 10.11 or later
  • Latest version of Google Chrome or Mozilla Firefox, or Apple Safari 11+
  • JavaScript enabled
  • Cookies enabled

Microsoft Windows PCs

  • Windows 7 or newer
  • Latest version of Google Chrome, Mozilla Firefox, or Microsoft Edge
  • JavaScript enabled
  • Cookies enabled

Last updated: 12/12/2016